Zjištění verze Nette Frameworku

akoska
Člen | 16
+
0
-

Ahoj.

Jak nejjednodušeji zjistím, jaká verze Nette Frameworku je v projektu používána.

Děkuji

CZechBoY
Člen | 3608
+
0
-

Pokud používáš composer tak v composer.lock (nebo vendor/composer/installed.json)

Martk
Člen | 657
+
0
-

Příkazem composer info

akoska
Člen | 16
+
0
-

Děkuji za odpovědi.

Toto je docela starej projekt, bez dokumentace a ostatních náležitostí, ani adresář vendor to nemá. Viděl bych to na verzi cca 2.1 – 2.2 . Myslel jsem, že někde v adresáři objektů Nette je tato informace je uložena.

Má někdo zkušenosti s přechodem projektu s nette 2.1 rovnou na 2.4?

Editoval akoska (27. 6. 2017 20:47)

David Matějka
Moderator | 6445
+
+2
-

v tom pripade mrkni do souboru Framework.php

akoska
Člen | 16
+
0
-

Tak je to verze 2.0.

Chtěl bych jej převést na 2.4, ale podle informací o rozdílech mezi verzemi, je to tedy skoro celé na přepsání.

Je nějaká jiná cesta než k tomu připojit 2.4 a pak ladit a ladit?

Martk
Člen | 657
+
+1
-

Tady je menší doporučení jak updatovat.